Bug 1743 - Отсутствие указания кодировки
: Отсутствие указания кодировки
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/autofs)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-23 13:25 by
Modified: 2004-07-07 19:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-23 13:25:17
При монтировании CDROM, содержащего именя файлов и каталогов в русском
регистре, эти имена отображаются как: \"?????????????.???\"
Причина ч том, что в /etc/auto.tab содержится строка:
cdrom   -fstype=auto,ro, :/dev/cdrom
в то время как для правильного отображения русских имён необходимо:
cdrom   -fstype=auto,ro,iocharset=koi8-r :/dev/cdrom
При этом обязательно что бы значение параметра iocharset автоматически
выбиралось соответствующим текущей системной локали примо при инсталляции
системы либо пакета autofs.
---

---
------- Comment #1 From 2002-12-28 20:25:18 -------
Так нельзя.
Можно взять из /etc/fstab.
Какие опции, помимо ro и iocharset, надо брать?
------- Comment #2 From 2002-12-28 20:25:18 -------
Так нельзя.
Можно взять из /etc/fstab.
Какие опции, помимо ro и iocharset, надо брать?
------- Comment #3 From 2003-01-02 23:07:42 -------
autofs-4.0.0-alt0.5.pre10 also copies codeset.
------- Comment #4 From 2003-01-02 23:07:42 -------
autofs-4.0.0-alt0.5.pre10 also copies codeset.
------- Comment #5 From 2003-01-02 23:08:00 -------
Should be fixed in autofs-4.0.0-alt0.5.pre10
------- Comment #6 From 2003-01-02 23:08:00 -------
Should be fixed in autofs-4.0.0-alt0.5.pre10